MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0007002ardourbugspublic2016-09-01 23:002016-11-21 01:22
Reportervismay 
Assigned Totimbyr 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformWindowsOSwindows 7 Ultimate 64 bitOS Versionwindows 7 Ultima
Product Version5.4 
Target VersionFixed in Version5.X git (version in description) 
Summary0007002: Preferances remains blanck and doesn;t show any entries
DescriptionClicking on the preferances tab remains blank and doesn't show the details
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0018535)
Ebardie (reporter)
2016-09-02 01:59
edited on: 2016-09-02 02:00

Deleting the line starting:

  <Window name="Preferences"

in ~/.config/ardour5/instant.xml was a workaround for me.

It was:

<Window name="Preferences" visible="yes" x-off="359" y-off="1296" x-size="1058" y-size="767" tabbed="no"/>

and is now:

<Window name="Preferences" visible="no" x-off="-1" y-off="-1" x-size="-1" y-size="-1" tabbed="yes"/>

(0018547)
paul (administrator)
2016-09-05 10:06

This is already fixed in git.
(0018888)
timbyr (developer)
2016-10-31 03:31
edited on: 2016-10-31 03:42

I can still reproduce this issue with nightly build 5.4.252

If I detach the preferences and then close the window, save and exit ardour. After restart when the Preferences window is displayed only the left treeview is visible.

The ~/.config/ardour5/instant.xml contains:

<Preferences>
  <Window name="Preferences" visible="no" x-off="0" y-off="0" x-size="1600" y-size="836" tabbed="no"/>
</Preferences>

Deleting that line makes the widgets visible again after restart.

(0018950)
timbyr (developer)
2016-11-13 03:33

I can still reproduce this with nightly build 5.4.320 on linux.

It would be nice to get this issue fixed before the next release.
(0018968)
dth (reporter)
2016-11-14 08:51

I can solidly recreate the blank preferences.

Currently (rev 5.4-323-g43bd7f5) built from git.
fedora 24.

If I have more MIDI Ports than can fit on the prefs dialog the symptom will always appear. When the preferences dialog is attached there is less room for these entries. When this occurs, the project overview at the bottom of the editor also disappears as if my screen has infinite height. That is, only once I've attempted to display preferences. I can always get it back by toggling/un-attaching editor mixer and prefs without the device with a lot of PORTS connected.
(0018987)
timbyr (developer)
2016-11-18 20:25
edited on: 2016-11-18 20:26

This should finally be fixed with commit a8e05a50 and can be tested in a nightly build >= 5.4.390

Please test and confirm this issue is now resolved.

(0019016)
dth (reporter)
2016-11-21 01:07

Issue is resolved here.
No blank prefs, attached detached, etc.
rev 5.4-399-gb2aaffa

- Issue History
Date Modified Username Field Change
2016-09-01 23:00 vismay New Issue
2016-09-02 01:59 Ebardie Note Added: 0018535
2016-09-02 02:00 Ebardie Note Edited: 0018535 View Revisions
2016-09-05 10:06 paul Note Added: 0018547
2016-10-31 03:31 timbyr Note Added: 0018888
2016-10-31 03:31 timbyr Note Edited: 0018888 View Revisions
2016-10-31 03:42 timbyr Note Edited: 0018888 View Revisions
2016-11-13 03:33 timbyr Note Added: 0018950
2016-11-13 03:33 timbyr Status new => confirmed
2016-11-13 03:33 timbyr Product Version 5.3 => 5.4
2016-11-14 08:51 dth Note Added: 0018968
2016-11-18 20:25 timbyr Note Added: 0018987
2016-11-18 20:25 timbyr Assigned To => timbyr
2016-11-18 20:25 timbyr Status confirmed => feedback
2016-11-18 20:26 timbyr Note Edited: 0018987 View Revisions
2016-11-21 01:07 dth Note Added: 0019016
2016-11-21 01:22 timbyr Status feedback => resolved
2016-11-21 01:22 timbyr Fixed in Version => 5.X git (version in description)
2016-11-21 01:22 timbyr Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker